%define name	tagtool
%define version	0.12.3
%define release %mkrel 4

Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}

Summary: 	Audio file (MP3/OGG) tag editor
License:	GPLv2
Group:		Sound/Utilities
Url:		http://sourceforge.net/projects/tagtool/
Source0:	http://prdownloads.sourceforge.net/tagtool/%{name}-%{version}.tar.bz2
Patch0:     tagtool-0.12.3-fedora-DSOLink.patch

BuildRequires:	pkgconfig imagemagick
BuildRequires:	gtk2-devel libglade2.0-devel
BuildRequires:	id3lib-devel libvorbis-devel libogg-devel
BuildRequires:	perl-XML-Parser desktop-file-utils

%description
Audio Tag Tool is a program to manage the information fields in MP3 and Ogg
Vorbis files, commonly called tags. Tag Tool can be used to edit tags one by
one, but the most useful features are the ability to easily tag or rename
hundreds of files at once, in any desired format. The mass tag and mass
rename features can handle filenames in any format thanks to an easily
configurable format template.

%prep
%setup -q
%patch0 -p0 -b .DSOLink

%build
%configure2_5x
%make

%install
%makeinstall

#menu

sed -i -e 's|False|false|g' %{buildroot}/%{_datadir}/applications/tagtool.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Audio" \
  --add-category="AudioVideo" \
  --add-category="AudioVideoEditing" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/TagTool.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/TagTool.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/TagTool.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog README NEWS THANKS TODO
%{_bindir}/%name
%{_datadir}/applications/*
%{_datadir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/icons/hicolor/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.12.3-4.mga3
+ Revision: 384030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 jquelin <jquelin> 0.12.3-3.mga3
+ Revision: 322345
- include (reworked) patch from fedora to make tagtool link
- rpm group change

* Mon Feb 28 2011 tux99 <tux99> 0.12.3-2.mga1
+ Revision: 61381
- cleaned up the imported spec-file:
  - fixed license
  - changed URL as old one was no longer working
  - removed pre/postinst scripts for old MDV versions
  - removed obsolete desktop category
- imported package tagtool

